# Uses of Class
org.apache.lucene.search.matchhighlight.PassageFormatter

Packages that use PassageFormatter
Package
Description
org.apache.lucene.search.matchhighlight
This package contains several components useful to build a highlighter on top of the `Matches` API.

- ## Uses of PassageFormatter in org.apache.lucene.search.matchhighlight

  Methods in org.apache.lucene.search.matchhighlight with parameters of type PassageFormatter
  Modifier and Type
  Method
  Description
  `static MatchHighlighter.FieldValueHighlighter`
  FieldValueHighlighters.`highlighted(int maxPassageWindow, int maxPassages, PassageFormatter passageFormatter, Predicate<String> matchFields)`
  Highlights fields matching predicate `matchFields` only if they contained query matches.